# Method: projects.locations.nodes.reimage

- [HTTP request](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/tpu/docs/reference/rest/v1alpha1/projects.locations.nodes/reimage#try-it)

> [!WARNING]
> This item is deprecated!

Reimages a node's OS.

### HTTP request

`POST https://tpu.googleapis.com/v1alpha1/{name=projects/*/locations/*/nodes/*}:reimage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource name. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tensorflowVersion": string } ``` |

| Fields ||
|---|---|
| `tensorflowVersion` | `string` The version for reimage to create. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/tpu/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud.tpu`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `tpu.nodes.reimage`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).